BRIC_DBPROF(1)

NAME
bric_dbprof - Bricolage Log-Analyzing Database-Profiling Machine

SYNOPSIS
bric_dbprof [options] logfile

  --help     - shows this screen

  --man      - shows the full documentation

  --verbose  - print a running description to STDERR.  Add a second
               --verbose and you'll get debugging output too.

  --n        - how many results to print, 0 for all.  Defaults to 10.

  --mode     - select an output mode.  The default is 'total'.
               Possibilities are:

                 total   - total time across all executions (default)

                 longest - longest single execution time

                 count   - most executions

  --nowrap   - by default the output wraps the SQL queries to fit on
               your screen.  Use this option to prevent that.

DESCRIPTION
This program reads Bricolage error logs and parses the output of the DBI_DEBUG and DBI_PROFILE options. It uses this data to produce database usage statistics that can be used to optimize Bricolage.

To use this program, follow these steps;

1   Set the DBI_DEBUG and DBI_PROFILE options to 1 in bricolage.conf.

2   Truncate or delete your Bricolage Apache error_log.

3   Restart your server.

4   Run the test case you're interested in using Bricolage as normal.

5   Immediately copy the Apache error log to a safe place.

6   Run bric_dbprof on the captured error log and begin your ascent to greatness.

AUTHOR
Sam Tregar <stregar@about-inc.com>

SEE ALSO
Bric::Util::DBI

Bric::Hacker